Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008362TestLinkApplication Development Standardspublic2018-09-05 15:242018-10-06 15:43
ReporterZein 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version 
Summary0008362: Updated to new testlink, lost ability to create or import test cases
DescriptionUpdated to 1.9.17 from 1.9.14 using the Bitnami installer. All of our old data is present, and we can log in with all of our old accounts, but we cannot create new test cases or import test cases.

What I'm noticing is that we can create new test suites and subfolders, but when a case is attempted to be made, it generates the name of the case and throws a DB error. All of the failed test cases don't have a tag number. They just have the prefix.

i.e we have FX-900 Test Case, but our new attempts at test cases only have FX-Test Case

If it matters, we upgraded from 14->15, from 15->16, from 16->17, but the order that our Database admin ran the DB table alteration scripts was Step1, StepZ, UDF update. Is that an issue?
Additional InformationThis is the error: ==============================================================================
 DB Access Error - debug_print_backtrace() OUTPUT START
 ATTENTION: Enabling more debug info will produce path disclosure weakness (CWE-200)
            Having this additional Information could be useful for reporting
            issue to development TEAM.
 ==============================================================================
#0 database->exec_query(/* Class:testcase - Method: createVersion */ INSERT INTO tcversions (id,tc_external_id,version,summary,preconditions, author_id,creation_ts,execution_type,importance ,status ) VALUES(37553,980,1,'
A

\r\n','
A

\r\n',51,'2018-09-05 08:11:35', 1,2 ,1 )) called at [/opt/testlink-1.9.17-1/apps/testlink/htdocs/lib/functions/testcase.class.php:667]
#1 testcase->createVersion(stdClass Object ([version] => 1,[id] => 37552,[externalID] => 980,[summary] =>
A


,[preconditions] =>
A


,[steps] => ,[authorID] => 51,[executionType] => 1,[importance] => 2,[status] => 1,[active] => ,[is_open] => ,[estimatedExecDuration] => )) called at [/opt/testlink-1.9.17-1/apps/testlink/htdocs/lib/functions/testcase.class.php:307]
0000002 testcase->create(37223, A,
A


,
A


, , 51, , 3, 0, 1, 2, Array ([check_duplicate_name] => 1,[action_on_duplicate_name] => block,[status] => 1,[estimatedExecDuration] => )) called at [/opt/testlink-1.9.17-1/apps/testlink/htdocs/lib/testcases/testcaseCommands.class.php:239]
0000003 testcaseCommands->doCreate(stdClass Object ([assigned_keywords_list] => ,[container_id] => 37223,[file_id] => 0,[tcase_id] => 0,[tcversion_id] => 0,[name] => A,[summary] =>
A


,[preconditions] =>
A

TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL 5.6.29
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0027797)
fman (administrator)
2018-09-05 15:42

1) please do not write kilometrics notes, try to understand what text provides no value
2) you can do a minor analisys yourself, taking the offending query and launching it on your SQL CLient, then you can return here and provide me more info.

3) order of exec of sql on install of 1.9.17 is not an issue

4) give a look to issues reported on 1.9.17 to understand if something similar to your issue has been reported.
(0027798)
Zein (reporter)
2018-09-05 16:30

Apologies, I just dumped everything.

It turns out that it was an error with how SQL was doing default timestamps. Changed it from 0000-00-00 00:00:00 to CURRENT TIMESTAMP and it works flawlessly now.

Thanks.
(0027799)
fman (administrator)
2018-09-05 18:06

Great!, it's always the same issue regarding how MySQL has changed what it accept as default data

regards
(0027801)
fman (administrator)
2018-09-05 18:08

MySQL default value for data fields

- Issue History
Date Modified Username Field Change
2018-09-05 15:24 Zein New Issue
2018-09-05 15:42 fman Note Added: 0027797
2018-09-05 15:43 fman QA Team - Task Workflow Status => TBD
2018-09-05 15:43 fman Additional Information Updated View Revisions
2018-09-05 16:30 Zein Note Added: 0027798
2018-09-05 18:06 fman Note Added: 0027799
2018-09-05 18:08 fman Note Added: 0027801
2018-09-05 18:08 fman Status new => resolved
2018-09-05 18:08 fman Resolution open => fixed
2018-09-05 18:08 fman Assigned To => fman
2018-10-06 15:43 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker